<?php
/**
 * Template Name: Contact Page
 */
?>
<?php get_header(); ?>


<div class="header-fixed-space-height">

</div>


<!-- /breadcrumbs -->
<?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
<?php if( $BreadcrumbsStatus==1 ){?>
<section class="w3l-breadcrum">
  <div class="breadcrum">
    <div class="container AllBreadcrumbs">
      <p><?php get_breadcrumb(); ?></p>
    </div>
  </div>
</section>
<?php }?>
<!-- //breadcrumbs -->


<!-- Contact section -->

<section>
  <?php echo get_theme_mod( "ContactPageTopArea","" );?>
</section>

<?php $ContactStatus = get_theme_mod( "ContactPageRequired","1")?>
<?php if( $ContactStatus==1 ){?>
<section class="w3l-contact" id="contact">
  <div class="contacts-9 py-5">
    <div class="container py-lg-3 ContactSection">
      <div class="header-section text-center mb-5">
        <h2><?php echo get_theme_mod( "ContactUsTitle" ); if(get_theme_mod( "ContactUsTitle" )==''){echo 'Contact us';}?></h2>
      </div>
      <div class="row top-map">
        
      <?php $ContactDetailsStatus = get_theme_mod( "ContactDetailsRequired","1")?>
      <?php if( $ContactDetailsStatus==1 ){?>
        <div class="cont-details col-md-5">
          
          <?php $ContactAddressStatus = get_theme_mod( "ContactPageAddressRequired","1")?>
          <?php if( $ContactAddressStatus==1 ){?>
            <div class="cont-top">
              <div class="cont-left">
                <span class="<?php echo get_theme_mod( "ContactPageAddressIcon" ); if(get_theme_mod( "ContactPageAddressIcon" )==''){echo 'fa fa-map-marker';}?> text-primary"></span>
              </div>
              <div class="cont-right">
                <h6><?php echo get_theme_mod( "ContactAddressTitle" );if(get_theme_mod( "ContactAddressTitle" )==''){echo 'Address:';}?></h6>
                <p><?php echo get_theme_mod( "ContactAddress","4028  Maryland Avenue, 5604 Willow Crossing Ct, Clifton, Georgia VA, 20124." );?></p>
              </div>
            </div>
          <?php }?>

          <?php $ContactNumberStatus = get_theme_mod( "ContactPageNumberRequired","1")?>
          <?php if( $ContactNumberStatus==1 ){?>
            <div class="cont-top mt-lg-5 mt-4">
              <div class="cont-left">
                <span class="<?php echo get_theme_mod( "ContactPagePhoneIcon" ); if(get_theme_mod( "ContactPagePhoneIcon" )==''){echo 'fa fa-phone';}?> text-primary"></span>
              </div>
              <div class="cont-right">
                <h6><?php echo get_theme_mod( "ContactPhoneTitle" );if(get_theme_mod( "ContactPhoneTitle" )==''){echo 'Call us:';}?></h6>
                <p><a class="text-dec-none" href="<?php echo get_theme_mod( "ContactNumberUrl","tel:+44-123-456-78" ); ?>"> 
                <?php echo get_theme_mod( "ContactNumber" );if(get_theme_mod( "ContactNumber" )==''){echo '+44-123-456-78';}?></a></p>
              </div>
            </div>
          <?php }?>

          <?php $ContactEmailStatus = get_theme_mod( "ContactPageEmailRequired","1")?>
          <?php if( $ContactEmailStatus==1 ){?>
            <div class="cont-top mt-lg-5 mt-4">
              <div class="cont-left">
                <span class="<?php echo get_theme_mod( "ContactPageEmailIcon" ); if(get_theme_mod( "ContactPageEmailIcon" )==''){echo 'fa fa-envelope-o';}?> text-primary"></span>
              </div>
              <div class="cont-right">
                <h6><?php echo get_theme_mod( "ContactEmailTitle" );if(get_theme_mod( "ContactEmailTitle" )==''){echo 'Have any questions?';}?></h6>
                <p><a href="<?php echo get_theme_mod( "ContactOfficialMailUrl","mailto:mailto:noreply@mail.com" ); ?>" class="mail">
                <?php echo get_theme_mod( "ContactOfficialMailtxt" );if(get_theme_mod( "ContactOfficialMailtxt" )==''){echo 'noreply@mail.com';}?></a></p>
                <p class="mt-0"><a href="<?php echo get_theme_mod( "ContactSupportMailUrl","mailto:support@mail.com" ); ?>" class="mail">
                <?php echo get_theme_mod( "ContactSupportMailtxt" );if(get_theme_mod( "ContactSupportMailtxt" )==''){echo 'support@mail.com';}?></a></p>
              </div>
            </div>
          <?php }?>

        </div>
      <?php }?>


      <?php $ContactFormStatus = get_theme_mod( "ContactPageFormRequired","1")?>
      <?php if( $ContactFormStatus==1 ){?>
        <div class="map-content-9 col-md-7 mt-5 mt-md-0 ContactPageForm">
          
        <?php
        ///Contact US email code Starts here
        $ContactToEmail=get_theme_mod( "ContactToEmail", "w3lSender" );
        $ContactFromName=$_REQUEST[get_theme_mod( "ContactPageFormName", "w3lName" )];
        $ContactFromEmail=$_REQUEST[get_theme_mod( "ContactPageFormEmail", "w3lSender" )];
        $ContactFromSubject=$_REQUEST[get_theme_mod( "ContactPageFormSubject", "w3lSubject" )];
        $ContactFromPhone=$_REQUEST[get_theme_mod( "ContactPageFormPhone", "w3lPhone" )];
        $ContactFromMessage=$_REQUEST[get_theme_mod( "ContactPageFormMessage", "w3lMessage" )];
        if($ContactFromEmail!='' && $ContactToEmail!=''){
          $ContactEmailMessage = '<table width="100%" cellpadding="0" cellspacing="0" style="min-width:100%;">
              <thead>
                <tr>
                  <th scope="col" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;line-height:30px"></th>
                  <th scope="col" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;line-height:30px"></th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;">Name : </td>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;"> '.$ContactFromName.'</td>

                </tr>
                <tr>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;">Email : </td>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;"> '.$ContactFromEmail.'</td>
                </tr>

                <tr>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;">Message : </td>
                  <td valign="top" style="padding:5px; font-family: Arial,sans-serif; font-size: 16px; line-height:20px;"> '.$ContactFromMessage.'</td>
                </tr>
              </tbody>
          </table>';
          add_filter('wp_mail_content_type',create_function('', 'return "text/html"; '));
          
          wp_mail( $ContactToEmail, $ContactFromSubject, $ContactEmailMessage );

        ?>


        <h3 class="title-style mb-3 text-success"> We got your details. We will contact you soon</h3>


        <?php
        ///Contact US email code Ends here

        } ?>

          
          <form action="<?php echo get_theme_mod( "ContactPageFormURL", "" );?>" method="post">
            <div class="twice-two">
              <input type="text" class="form-control" name="<?php echo get_theme_mod( "ContactPageFormName", "w3lName" );?>" 
              id="w3lName" placeholder="<?php echo get_theme_mod( "ContactPageFormNameplaceholder", "Name" );?>" required="">
              
              <input type="email" class="form-control" name="<?php echo get_theme_mod( "ContactPageFormEmail", "w3lSender" );?>"
              id="w3lSender" placeholder="<?php echo get_theme_mod( "ContactPageFormEmailplaceholder", "Email" );?>" required="">
            </div>
            <div class="twice">
              <input type="text" class="form-control" name="<?php echo get_theme_mod( "ContactPageFormSubject", "w3lSubject" );?>"
              id="w3lSubject" placeholder="<?php echo get_theme_mod( "ContactPageFormSubjectplaceholder", "Subject" );?>" required="">
            </div>
            <div class="twice">
              <textarea name="<?php echo get_theme_mod( "ContactPageFormMessage", "w3lMessage" );?>" class="form-control" 
              id="w3lMessage" placeholder="<?php echo get_theme_mod( "ContactPageFormMessageplaceholder", "Message" );?>" required=""></textarea>
            </div>

            <div class="text-right">
              <button type="submit" class="btn btn-primary theme-button">
              <?php echo get_theme_mod( "ContactPageFormBtn", "Send Message" );?></button>
            </div>
          </form>
        </div>

      </div>
    </div>
  </div>
</section>
<?php }?>

</div>
</section>
<?php }?>
<!-- //contact block -->

<section>
  <?php echo get_theme_mod( "ContactPageBottomArea","" );?>
</section>

<!-- /contact-section -->


<!-- Contact Map section -->
<section>
  <?php echo get_theme_mod( "ContactPageMapTopArea","" );?>
</section>

<?php $ContactMapStatus = get_theme_mod( "ContactPageMapRequired","1")?>
<?php if( $ContactMapStatus==1 ){?>
<section class="w3l-contact">
<div class="map ContactPageMap text-center">
  <iframe
    src="<?php echo get_theme_mod( "ContactPageMapURL", "https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387193.3059445135!2d-74.25986613799748!3d40.69714941774136!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!4m3!3e3!4m0!4m0!5e0!3m2!1sen!2sin!4v1570181661801!5m2!1sen!2sin" );?>"
    allowfullscreen=""></iframe>
</div>
</section>
<?php }?>

<section>
  <?php echo get_theme_mod( "ContactPageMapBottomArea","" );?>
</section>
<!-- //Contact Map section -->




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>

<!-- script for testimonials -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-two').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: false,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1,
          nav: false
        },
        480: {
          items: 1,
          nav: false
        },
        667: {
          items: 1,
          nav: false
        },
        1000: {
          items: 1,
          nav: false
        }
      }
    })
  })
</script>
<!-- //testimonials owlcarousel -->

<!-- for services carousel slider -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      stagePadding: 20,
      margin: 20,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      nav: false,
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 2
        },
        1000: {
          items: 4
        }
      }
    })
  })
</script>
<!-- //for services carousel slider -->

<!-- stats number counter-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.waypoints.min.js"></script>
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.countup.js"></script>
<script>
  jQuery('.counter').countUp();
</script>
<!-- //stats number counter -->

<!-- disable body scroll which navbar is in active -->
<script>
  jQuery(function () {
    jQuery('.navbar-toggler').click(function () {
      jQuery('body').toggleClass('noscroll');
    })
  });
</script>
<!-- disable body scroll which navbar is in active -->

<!-- Bootstrap JS -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>


<?php }

get_footer(); ?>